#!/usr/bin/env perl

use strict;
use warnings;

use Data::Dumper;

sub escape($) {
	my $str = shift;

	my %substs = ('#'  => '\#',
                      '$'  => '\$',
                      '%'  => '\%',
                      '^'  => '\^',
                      '&'  => '\&',
                      '_'  => '\_',
                      '{'  => '\{',
                      '}'  => '\}',
                      '~'  => '\~{}',
                      '\\' => '\textbackslash ');
	my $out = '';
	foreach my $c (split(//, $str)) {
		if (exists $substs{$c}) {
			$out .= $substs{$c};
		} else {
			$out .= $c;
		}
	}
	return $out;
}

open(my $fh, '>out.txt') or die $!;
print $fh "\\newcommand{\\MyText}{";
#print $fh escape('easy text');
print $fh escape('lala\foo & co are in the woords {} making $$$');
print $fh "}\n";
close($fh);
