% A LaTeX class for letters sent by the MNT.
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{mntdoc}[2009/08/03 v0.1 Letter class for MNT]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions\relax
\LoadClass[a4paper]{letter}

\RequirePackage[french]{babel}
\RequirePackage[margin=1.05cm]{geometry}
\RequirePackage[latin1]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{textcomp}
\RequirePackage{array}
\RequirePackage{tabularx}
\RequirePackage{numprint}
\RequirePackage{lmodern}
\AtBeginDocument{\sffamily}	% We use sans-serif fonts by default.

\renewcommand*{\opening}[1]{\ifx\@empty\fromaddress
  \thispagestyle{firstpage}%
    {\raggedleft\@date\par}%
  \else  % home address
    \thispagestyle{empty}%
    {\raggedright \parindent=320pt%
      \vbox to 90pt{%
        \vfill%
        \textbf{\ignorespaces \fromaddress}}
      \vspace{2\parskip} \@date\par}%
  \fi
  \vspace{2\parskip}%
  {\raggedright \toname \\ \toaddress \par}%
  \vspace{2\parskip}%
  #1\par\nobreak}

\newcommand*{\mc}[3]{\multicolumn{#1}{#2}{#3}}
\newcommand*{\altercolumn}[2]{\mc{1}{#1}{#2}}
\newcommand*{\ac}[2]{\altercolumn{#1}{#2}}
